## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

Name:           drm_info
Version:        2.7.0
Release:        %autorelease
Summary:        Small utility to dump info about DRM devices

# SPDX:MIT
License:        MIT
URL:            https://gitlab.freedesktop.org/emersion/drm_info
Source0:        %{url}/-/releases/v%{version}/downloads/%{name}-%{version}.tar.gz
Source1:        %{url}/-/releases/v%{version}/downloads/%{name}-%{version}.tar.gz.sig
# 0FDE7BE0E88F5E48: emersion <contact@emersion.fr>
Source2:        https://emersion.fr/.well-known/openpgpkey/hu/dj3498u4hyyarh35rkjfnghbjxug6b19#/gpgkey-0FDE7BE0E88F5E48.gpg

BuildRequires:  gcc
BuildRequires:  gnupg2
BuildRequires:  meson >= 0.56.0
BuildRequires:  pkgconfig(json-c)
BuildRequires:  pkgconfig(libdrm) >= 2.4.122
BuildRequires:  pkgconfig(libpci)
BuildRequires:  pkgconfig(scdoc)
BuildRequires:  python3-devel

%description
%{summary}.


%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%autosetup


%build
%meson
%meson_build


%install
%meson_install


%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*


%changelog
* Fri Aug 09 2024 Aleksei Bavshin <alebastr@fedoraproject.org> 2.7.0-1
- Update to 2.7.0 (#2301792)

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> 2.6.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> 2.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> 2.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Oct 27 2023 Aleksei Bavshin <alebastr@fedoraproject.org> 2.6.0-1
- Update to 2.6.0 (#2168619)

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> 2.4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> 2.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Nov 10 2022 Aleksei Bavshin <alebastr@fedoraproject.org> 2.4.0-1
- Update to 2.4.0 (#2135938)

* Thu Aug 11 2022 Aleksei Bavshin <alebastr@fedoraproject.org> 2.3.0-1
- Initial package (#2051064)
